Donny Khalaf

is iOS 8 compatible with your iPhone???

In SmartPhone, Software, Tablet, Technology on September 11, 2014 at 2:16 pm

 

People have been wondering if the new iOS 8 will works with your current iPad, iPhone, iPod Touch.

The model below will shows if it is compatible:

iPhone:

iPhone 4s, 5, 5c, 5s, 6 (included), and 6 Plus (included)

iPad:

iPad 2, 3, 4, and Air

iPad mini:

iPad mini and mini with Retina display

iPod:

iPod Touch 5th generation

Before upgrading, you should have at least 2GB of free space to upgrade. You will be notify via Setting when the upgrade is ready or you can go to Settings – General – Software Update on September 19th most likely in the afternoon. Be warn through experience that it is best to wait until a week to minimize disruption and delay of update due to high volume of traffic.

Enjoy!

Donny 🙂

Advertisements

Leave a Reply

Please log in using one of these methods to post your comment:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: